use tokio::time::{Duration};

pub struct Ticker {
    duration: Duration,
    current_tick: u64,
}

impl Ticker {
    pub fn new(duration: Duration) -> Self {
        Ticker {
            duration,
            current_tick: 1,
        }
    }

    pub fn inc(&mut self) {
        self.current_tick += 1
    }
    pub fn duration(&self) -> Duration {
        self.duration
    }
    pub fn current_tick(&self) -> u64 {
        self.current_tick
    }
}
